API Documentation Download OpenAPI specification

Check Email Account Reactivation Eligibility

GEThttps://bll.titan.email/partner/checkEmailAccountReactivationEligibility

API to check if deleted Email Account can be reactivated.

Query parameters

titanOrderIdnumberrequired

The unique Titan order Id

Example: 1
titanAccountIdnumberrequired

The unique Titan account Id

Example: 123

Responses

200OKapplication/json
reactivationAllowedboolean
Example: true
purgeAtstringoptional

In yyyy-MM-dd format. All the account data would be purged from Titan's system permanently on this date. Account is expected to be in the deleted state and not already purged. Domain should be active state. It should be greater than or equal to today's date. Present when reactivationAllowed is true and purgeAt is set or reactivationAllowed is not allowed due to account is purged.

Example: 2025-02-20
reasonstring · enum

This is an enum with values. This field will be present if reactivationAllowed is false

  • DOMAIN_INACTIVE: The mail order (domain) this account belongs to is not active or suspended
  • ANOTHER_ACCOUNT_ALREADY_EXISTS: Another account already exists with the same email address
  • ACCOUNT_NOT_IN_DELETED_STATE: The account is not in a deleted state
  • ACCOUNT_PURGED: The account's purge date has passed and it can no longer be recovered
Example: ANOTHER_ACCOUNT_ALREADY_EXISTS
Possible values: DOMAIN_INACTIVE ANOTHER_ACCOUNT_ALREADY_EXISTS ACCOUNT_NOT_IN_DELETED_STATE ACCOUNT_PURGED
See General Errors for other errors that this API can return.
GET/partner/checkEmailAccountReactivationEligibility
curl 'https://bll.titan.email/partner/checkEmailAccountReactivationEligibility?titanOrderId=1&titanAccountId=123' \
  --header 'Authorization: API.Key'
Response
{
  "reactivationAllowed": true,
  "purgeAt": "2025-02-20",
  "reason": "ANOTHER_ACCOUNT_ALREADY_EXISTS"
}